<template>
  <v-app dark>
    <v-navigation-drawer
      v-model="drawer"
      :mini-variant="miniVariant"
      :clipped="clipped"
      fixed
      app
    >
      <v-list>
        <v-list-item
          v-for="(item, i) in items"
          :key="i"
          :to="item.to"
          router
          exact
        >
          <v-list-item-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title v-text="item.title" />
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-app-bar :clipped-left="clipped" fixed app>
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" />
      <v-toolbar-title v-text="title" />
      <v-spacer />
      <v-btn href="/external">
        <v-icon>mdi-exit-to-app</v-icon>
      </v-btn>
    </v-app-bar>
    <v-content>
      <v-container>
        <nuxt />
      </v-container>
    </v-content>
    <v-footer :fixed="fixed" app>
      <span>&copy; 2019</span>
    </v-footer>
  </v-app>
</template>

<script>
import axios from "axios";
import { mask } from "vue-the-mask";
export default {
  directives: { mask },
  data() {
    return {
      clipped: false,
      drawer: false,
      fixed: false,
      items: [
        {
          icon: "mdi-apps",
          title: "Dashboard",
          to: "/"
        },
        {
          icon: "mdi-calendar-today",
          title: "Agenda",
          to: "/schedule"
        },
        {
          icon: "mdi-account-multiple-outline",
          title: "Clientes",
          to: "/customers"
        },
        {
          icon: "mdi-message-bulleted",
          title: "Contatos",
          to: "/contacts"
        },
        {
          icon: "mdi-clipboard-text",
          title: "Demandas",
          to: "/demands"
        },
        {
          icon: "mdi-map",
          title: "Fornecedores",
          to: "/providers"
        },
        {
          icon: "mdi-worker",
          title: "Funcionários",
          to: "/employees"
        },
        {
          icon: "mdi-car",
          title: "Ordens de serviços",
          to: "/calls"
        },
        {
          icon: "mdi-file-chart",
          title: "Relatórios",
          to: "/reports"
        },
        {
          icon: "mdi-folder-open",
          title: "Projetos",
          to: "/projects"
        },
        {
          icon: "mdi-settings",
          title: "Perfil",
          to: "/profile"
        },
        {
          icon: "mdi-help-circle-outline",
          title: "Central de Ajuda",
          to: "/help"
        }
      ],
      miniVariant: false,
      right: true,
      rightDrawer: false,
      title: "Intervenção Espaço de Arquitetura"
    };
  }
};
</script>
